#include "defines.h"
#include "aigtext.h"

void ColorTextGraph(void (*tx)(),int col,int sx,int sy,int wx,int wy,int ptrn)
{
unsigned c,wd;
int pt0,pt1;
	c=curmode(0);	/* カーソルＯＦＦ */
	col&=TWHITE; /* 色のみ読みだし */
	if (col==TBLACK||col==TWHITE) {
		/* 黒または白の時：同時アクセスで２プレーン同時書き込み */
		wd=word_read_write(CRTCR21,0x133);
		tx(0,sx,sy,wx,wy,ptrn);
		word_read_write(CRTCR21,wd);
	} else { /* 黄色、水色の時は個別プレーン描画 */
		pt0=ptrn;
		pt1=0;
		if (col==TYELLOW) {pt0=0; pt1=ptrn;}
		tx(0,sx,sy,wx,wy,pt0);
		tx(1,sx,sy,wx,wy,pt1);
	}
	curmode(c);	/* カーソルＯＮ */
}
